## com.saxonica.schema
Class MinLengthFacet

    java.lang.Object
      com.saxonica.schema.Facet
          com.saxonica.schema.LengthFacet
              com.saxonica.schema.MinLengthFacet

All Implemented Interfaces:
  java.io.Serializable

    public class MinLengthFacet

extends LengthFacet

Represents the minLength facet

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.saxonica.schema.Facet
`ASSERT, ENUMERATION, FRACTIONDIGITS, LENGTH, MAX_EXCLUSIVE, MAX_INCLUSIVE, MAX_LENGTH, MIN_EXCLUSIVE, MIN_INCLUSIVE, MIN_LENGTH, PATTERN, TOTALDIGITS, WHITESPACE`

Constructor Summary
`MinLengthFacet()`

Method Summary
`void` `checkFacetRestriction(UserSimpleType type, SimpleType base)` Check that this facet is legal when used on a type derived by restriction
`java.lang.String` `getName()` Returns the name of this Facet
`boolean` `testLength(int actualLength)` Test whether a supplied length conforms to this required length (used when testing the length of a list)

Methods inherited from class com.saxonica.schema.LengthFacet
`getValue, setIntegerValue, setValue, testAtomicValue, toLong`

Methods inherited from class com.saxonica.schema.Facet
`getWhitespaceAction, isFacetName, isFixed, isNewlyIntroduced, makeFacet, serializeFacet, setFixed, testListValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MinLengthFacet

    public MinLengthFacet()

Method Detail

### getName

    public java.lang.String getName()

  Description copied from class: `Facet`
  Returns the name of this Facet

  Overrides:
    `getName` in class `LengthFacet`
  Returns:
    the name of this Facet

### checkFacetRestriction

    public void checkFacetRestriction(UserSimpleType type,
                                      SimpleType base)
                               throws SchemaException,
                                      ValidationException

  Check that this facet is legal when used on a type derived by restriction

  Overrides:
    `checkFacetRestriction` in class `LengthFacet`
  Parameters:
    `base` - the type from which the restricted type is derived
    `type` - the type on which the facet is defined
  Throws:
    `SchemaException` - if the facet is not legal
    `ValidationException`

### testLength

    public boolean testLength(int actualLength)

  Test whether a supplied length conforms to this required length (used when testing the length of a list)

  Overrides:
    `testLength` in class `LengthFacet`
  Parameters:
    `actualLength` - the actual length of the list
  Returns:
    true if the facet allows a list of this length, otherwise false

Copyright (c) Saxonica Limited. All rights reserved.